Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.conversion
Class Asset

    java.lang.Object
      com.google.appengine.api.conversion.Asset

    public final class Asset

extends java.lang.Object

An asset is a generic blob of data. A conversion document must contain at least one asset, typically the document contents. Additional asset can be referenced from the main asset, such as in case of images or CSS files from HTML documents.

Constructor Summary
`Asset(java.lang.String mimeType, byte[] data)` Used to construct an asset in the request.
`Asset(java.lang.String mimeType, byte[] data, java.lang.String name)` Used to construct an asset in the request.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getData()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getName()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Asset

    public Asset(java.lang.String mimeType,
                 byte[] data)

  Used to construct an asset in the request.

  Parameters:
    `mimeType` - The asset's mime type.
    `data` - The asset's data.

### Asset

    public Asset(java.lang.String mimeType,
                 byte[] data,
                 java.lang.String name)

  Used to construct an asset in the request.

  Parameters:
    `mimeType` - The asset's mime type.
    `data` - The asset's data.
    `name` - The asset's name, or null if none.

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns:
    The asset's mime type.

### getData

    public byte[] getData()

  Returns:
    The asset's data.

### getName

    public java.lang.String getName()

  Returns:
    The asset's name, or null if not present.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD